Version 4.xxxxx (xxx 2019)
- Implemented: DarkSky CloudCover sensor
- Implemented: EventSystem, option in Settings to enable/disable URL call logging containing full URL path
- Implemented: Floorplan, add support for SVG
- Implemented: GUI, OpenZWave added Refresh Node Information button, styling
- Implemented: RTL433, added Power (Watt) type
- Implemented: RTL433, added rainfall_mm type
- Implemented: OZW, JSON call to retrieve current battery levels for all nodes
- Implemented: BuienRadar
- Implemented: Sun/Rain icons
- Fixed: Gui, Choosing Icon for ARC type switches
- Fixed: GUI, Dashboard icon incremental counter (energy generated) not correct (#3231)
- Fixed: GUI, device table initial order column
- Fixed: GUI, Switch Log, date parsing in device log (#3206)
- Fixed: GUI, Floorplan, contact type can no longer be switch
- Fixed: GUI, Floorplan, custom image for Custom Sensor
- Fixed: GUI, Floorplan, fixed blind switching (#3267)
- Fixed: GUI, Weight Log now displays correct Unit (#3211)
- Fixed: GUI, OpenZWave Abort Include/Exclude button
- Fixed: Blockly, handling incorrect time field
- Fixed: YouLess, possible buffer overflow (#3261)
- Fixed: notification, Telegram error when odd number of underscores in text
- Fixed: API, allow variabletype to be entered as text or integer in adduservariable and updateuservariable (#3320)
- Updated: OpenZWave version 1.6
- Updated: dzVents (version 2.5.0 for Lua 5.3) See dzVents/documentation/history.md)

Version 4.10717 (May 9th 2019)
- Fixed: dzVents, Allowing no error message for HTTP calls (#3191)
- Fixed: EcoCompteur now uses the port specified in the hardware setup (#3184)
- Fixed: Log for Weight sensor (#3192)
- Fixed: issue with Session ID/Login
- Fixed: issue with slightly  to large labels for the selector switch (#3187)
- Updated: dzVents (version 2.4.19, See dzVents/documentation/history.md)

Version 4.10658 (May 5th 2019)
- Implemented: [BleBox] Add support for airSensor and use the newest api for shutterBox
- Implemented: Alecto WS5500 implemented (pTypeWeather)
- Implemented: Anna Thermostat Added ability to select presets on the Anna via selector switch. Added ability to update the state of the proximity switch in the Anna thermostat.
- Implemented: Better graph display for thermostat devices
- Implemented: Blinds T14/R15/T16 to lights.html
- Implemented: CayenneLPP, added initial support for LPP_UNIXTIME
- Implemented: Cereal Proxy
- Implemented: Custom icons for: Contact Door Contact Push On Push Off Door Lock Door Lock Inverted
- Implemented: Devices Tab, Scene/Group log icon added
- Implemented: EnOcean3 implemented EPP D2-03-0A
- Implemented: EventSystem logging name when issuing thermostat SetPoint/Mode/Fan command
- Implemented: EvoHome radiator Valve Value to Pushers InfluxDB worker
- Implemented: Experimental support for WebSockets protocol
- Implemented: Hardware setup, support /dev/serial/by-id on Linux
- Implemented: InfluxDB Data push, support for Username/Password
- Implemented: InfluxDB: added option for remote proxy path
- Implemented: Logitech Media Server, added 'daphile' to the list of supported models
- Implemented: Make Telegram notification silent when priority is negative
- Implemented: Maverick 773 BBQ Temperature meter now using fixed ID as there is a new id generated between transmitter and controller every 15 minutes
- Implemented: New Aqara Wireless Mini Switch
- Implemented: New Hardware, The Things Network with CayenneLPP application(s)
- Implemented: On/Off chart to Lights log
- Implemented: OpenZWave, controller options for RetryTimeout, AssumeAwake and PerformReturnRoutes can now be set
- Implemented: OpenZWave, handling 'kVAh' unit
- Implemented: OpenZWave, support for Seismic Intensity sensor
- Implemented: Report for Counter Incremental devices
- Implemented: RFLink support for Blyss type (with high unit number)
- Implemented: RFXCom Implemented Noise Level for Pro firmware
- Implemented: RFXCom Lucci Fan DC
- Implemented: RFXCom ProXL implementation
- Implemented: RFXCom Supporting detection of Pro2, Pro XL1
- Implemented: RFXMeter, Option to specify meter divider
- Implemented: RFXMeter, Option to specify meter divider
- Implemented: RTL433, Add support for wind_speed wind_gust wind_direction
- Implemented: RTL433, added support for WGR800,PCR800
- Implemented: RTL433, implemented Moisture sensor
- Implemented: RTL433, support for sensors reporting in Fahrenheit
- Implemented: Serial port for Freescale imx6 devices
- Implemented: Support Aqara Vibration Sensor (v1)
- Implemented: Support double click and long press feature for "Xiaomi Wireless Dual Wall Switch"
- Implemented: Support for NodeOn Soft Button TSB-2-1-01
- Implemented: Support for Westinghouse FAN
- Implemented: Taiwanese language (big thanks to berry lin!)
- Implemented: The Things Network, add GPS coordinate in Uservariable
- Implemented: Time/Sun set/rise to events frame
- Implemented: Timer Plan, duplicate option
- Implemented: Touch Device unction
- Implemented: Trend calculator (only for temperatures at the moment)
- Implemented: Using MapQuest Geo API in settings
- Implemented: Wind sensor without Temp and Chill
- Implemented: Xiaomi Gateway Aqara Cube report battery status
- Removed: LogitechMediaServer: HTTP timeout as a configurable option
- Fixed: [Satel Integra] fix for Inetgra256 and allow to change names
- Fixed: Anna to work with both firmwares
- Fixed: Arilux
- Fixed: Corrected water graph display
- Fixed: Correcting cost calculation for P1 Meter reports with return usage
- Fixed: Custom Icon upload message
- Fixed: DarkSky possible wind-chill callsign issue
- Fixed: Date parsing in Safari
- Fixed: Devices tab, removed unnecessary zwave node id as this is part of the ID already
- Fixed: Do not allow enters/returns in arguments (thanks to Fabio Carretto)
- Fixed: Doorcontact, On/Off delay where hidden
- Fixed: EvoHome hot water graphs
- Fixed: Evohome SYNC bug
- Fixed: Fan/RMP sensor
- Fixed: Fix for running as non-privileged user
- Fixed: Forecast button, displaying correct units
- Fixed: Honeywell thermostat fixes and improvements
- Fixed: I2C/BME280, Corrected oversampling
- Fixed: Increased heartbeat_check timeout to 5 minutes (process rebooted while doing a large database operation (migration of a sensor))
- Fixed: Kodi Notification setup display (hops)
- Fixed: Light Log Set 'Level' for RGB switches
- Fixed: MySensors IR switching
- Fixed: Next Protect, removing Heat/US checks
- Fixed: On/Off actions where incorrectly handled when setting the a RGB/W Color
- Fixed: P1 Smart Meter report chart, limit number of decimals in tooltip
- Fixed: Philips Hue, should work correctly now again
- Fixed: Possible SQL Injection Vulnerability (Thanks to Fabio Carretto!)
- Fixed: Prevent touch stcroll while using jQuery wheel color picker
- Fixed: Put correct node name in button titles in association group view
- Fixed: Python Plugin protocols now always use Parameters values for Username/Password during authentication rather than cached values
- Fixed: Rain device for DarkSky
- Fixed: Selector selected color
- Fixed: Shared server via mydomoticz bug.
- Fixed: Temp+Hum log button in devices view
- Fixed: Temperature sorting in report
- Fixed: timer where one part of the combination is even or odd week
- Fixed: Xiaomi Gateway Lum issue
- Fixed: Xiaomi, using correct (application default) way to update temp/hum/pressure
- Fixed: YouLess meter report
- Fixed: Various, see github, thanks to all who contributed!!
- Updated: dzVents (version 2.4.18, See dzVents/documentation/history.md)
- Updated: Event Editor
- Updated: New Gui pages/code for Utility/Weather/Temperature/Devices/Hardware Setup
- Updated: OZW configuration files
- Updated: Translations
- Updated: Weather Underground for use with the new API, option to specify Lat/Long as location
- Updated: Winddelen, using new API URL now, and including some more sensors

Version 4.9700 (June 23th 2018)
- Implemented: Blockly, now possible to directly add/update Text devices
- Implemented: Blockly: now possible to use expressions in debug messages like "My temperature is {{temperaturedevice[1234]}} degrees" (see http://www.domoticz.com/wiki/Events)
- Implemented: Camera: support for HTTPS url's
- Implemented: Comm5 SM-xxxx sensors support
- Implemented: Command line option '-noupdates' to stop using the internal update functionality Corrected 'Proxy' settings in the settings page (missing element closing tag)
- Implemented: Denkovi Smartden IP In (32) with LAN Interface
- Implemented: Disabling the option to downgrade Domoticz and use a newer database (because of database migrations)
- Implemented: Door Lock Inverted
- Implemented: EcoCompteur device
- Implemented: eHouse BMS / Home Automation System Integration
- Implemented: Forcing appcache to be refreshed on every new build
- Implemented: Functionality to allow Python Plugins to integrate with the Domoticz Security Panel
- Implemented: HardwareMonitor monitor own process memory usage
- Implemented: Honeywell Lyric thermostat
- Implemented: I2C: support for MCP23017 (16bit I2C GPIO expander)
- Implemented: Initial support for FS20
- Implemented: KMTronic TCP Temperature hardware
- Implemented: Langiage "Persian" (Big tankgs to "foademadi", "maziar.hafezi" and "reza.hadipour2002")
- Implemented: Language "Albanian" (Big thanks to "arbenik")
- Implemented: Language "Bosnian" (Big thanks to "Vedran")
- Implemented: Language "Catalan" (Big thanks to "delfisastre")
- Implemented: Logitech Media Server: Added option to remove unused nodes
- Implemented: RFXtrx Lucci Fan DC implemented
- Implemented: MQTT Push message on scene/group switch event
- Implemented: MySensors: handling of I_INCLUSION_MODE message.
- Implemented: MySensors: support for SmartSleep option (gateway 2.x)
- Implemented: Netatmo: rssi support
- Implemented: New Managed meter type
- Implemented: OnkyoAVTCP: Add source selection, detection via NRIQSTN
- Implemented: OpenWeatherMap: cloud sensor
- Implemented: RFXCom: support for WIND7, RAIN7/RAIN8/RAIN9
- Implemented: Rtl_433: support for wind sensors, HH and LL humidity values
- Implemented: Selector Switch: correcting display for all UTF8 characters now
- Implemented: Styles folder can have its own images folder to overwrite stock images
- Implemented: Telegram notifications
- Implemented: Voltage/Current for Armbian Kernal 4.14+
- Implemented: Webserver: automatically reload SSL certificates and DH params3
- Implemented: Xiaomi Aqara Cube
- Implemented: ZWave node ID to log
- Removed: NMA Notification system (the service has stopped)
- Updated: Dzvents (version 2.4.6, See dzVents/documentation/history.md)
- Updated: OenZWave driver and configuration files
- Updated: Translation files
- Updated: Various internal libraries (C++/WWW)
- Changed: Floorplans now stored in database
- Changed: Improved color dimmer support
- Changed: Internal HUE/RGB/W/WW handling
- Changed: Philips Hue: internal code
- Fixed: Various, see github

Version 3.8153 (July 30th 2017)
- Fixed: Camera Editor, will now always refresh thumbnail in table
- Fixed: Devices could become invisible when a scene/group was added to the 'hidden devices' room plan with the same idx
- Fixed: JSon float/nan value, solved by upgrading JSonCPP
- Fixed: OZW, when a value is updated and the sensor did not exists before (for example a kWh sensor), it is created (saves a restart)
- Fixed: Daemonize compatible with Systemd forking type
- Changed: Blinds T5 till T13 new DeviceID generation, could cause new sensors
- Changed: Lessen rounding errors for computed energy
- Changed: Minimized On/Off/Script execution time
- Changed: SolarEdgeAPI, now only needs API Key
- Changed: Support symlinks for plugin and theme directories
- Changed: Switch type 'Door Lock' renamed to 'Door Contact'
- Changed: Temperature Only charts will not display the Humidity axis
- Changed: Wind Direction Graph, if sensor does not supports 'Gust', the 'Speed' value is used
- Changed: Updated OpenZWave (and configuration files)
- Implemented: Added a new parameter to disable the logging of event script triggers 'Script event triggered: ...'
- Implemented: AppLamp/LimitLess bridge V6.0 RGBW/RGBWW
- Implemented: Blinds T1 till T13 new supports the Stop button
- Implemented: Blockly/Lua Set SetPoint option
- Implemented: Devices, Log icon for Blinds
- Implemented: Dummy Hardware, Temp+Baro
- Implemented: Estonian Language support (big thanks to Kuido)
- Implemented: EvohomeWeb support (Thanks to Gordon3!)
- Implemented: General/Text sensor now able to be shared
- Implemented: I2C BME280 sensor (temp+hum+baro)
- Implemented: I2C for non arm systems
- Implemented: InfluxDB Data push
- Implemented: Latvian Language support (big thanks to Edgars)
- Implemented: Netatmo Home Coach support
- Implemented: Notification for Dummy Soil/Moisture sensor
- Implemented: Notification for Dummy Temp/Hum/Baro sensor
- Implemented: Notification for Alert Sensor via udevice JSON call
- Implemented: Onkyo AV Receiver (Thanks to dwmw2!)
- Implemented: Option to replace an Meter device
- Implemented: OZW, Added support for Atmospheric Pressure sensor
- Implemented: Python Plugin System
- Implemented: RFXtrx Lucci Fan implemented
- Implemented: RFXtrx RFY2 protocol implemented
- Implemented: RFXtrx Kangtai / Cotech implemented
- Implemented: RTL433 (Thanks to Petri Ahone!)
- Implemented: SolarEdgeAPI, support for multiple inverters
- Implemented: Support for Ble Box hardware
- Implemented: Support for different usage/return costs for electricity
- Implemented: Support for Intergas InComfort LAN2RF Gateway
- Implemented: Support for Open Weather Map
- Implemented: Support for Open Web Net
- Implemented: Support for XiaomiGateway Gateway
- Implemented: Support for YeeLight
- Implemented: Support for Youless LS120
- Implemented: Switch type 'Door Lock'
- Implemented: SysFS GPIO (Thanks to hvbommel/jvandenbroek!)
- Implemented: Teleinfo : Added a switch indicating the current cost slot
- Implemented: Timer Plan editor
- Removed: Razberry ZWave handling method. Existing users need to migrate to OpenZWave
- Integrated dzVents 2.0.0: See dzVents/documentation/history.md

Version 3.5878 (November 10th 2016)
- Fixes and various improvements

Version 3.5837 (October 30th 2016)
- Fixed: Blockly/Lua, FOR and RANDOM are now again in minutes
- Changed: Shortlog charts for Temperature, Current and Smartlog are now using a spline
- Changed: Lua/Blockly, Notifications are now not blocking

Version 3.5834 (October 29th 2016)
- Implemented: TSL2561 illuminance I2C sensor (ldrolez)
- Implemented: AccuWeather support
- Implemented: Air Quality graph, Avarage and Previous month/year
- Implemented: Atag One Thermostat support
- Implemented: Blockly/Lua Camera device, to send camera snapshots with subject after xx seconds
- Implemented: Blockly upgraded to latest version (fixed and cleaned some code as well), this fixes problem with long sensor lists
- Implemented: Blockly, option to excecute a script in the DO statement
- Implemented: Custom Sensor
- Implemented: Denkovi Smartden with LAN Interface
- Implemented: Devices Tab, Log icon for Pressure
- Implemented: Dust Sensor (ug/m3)
- Implemented: Error Log, option to send error logs by email
- Implemented: Hourly rainrate for all rain sensors
- Implemented: MySensors, Implemented Acknowledge Timeout per Child sensor
- Implemented: MySensors, S_WATER_QUALITY, water PH
- Implemented: MySensors, S_WATER_QUALITY, water ORP redox potential in mV
- Implemented: MySensors, S_WATER_QUALITY, water electric conductivity S/cm (microSiemens/cm)
- Implemented: MySensors, S_POWER, Reactive power: volt-ampere reactive (var)
- Implemented: MySensors, S_POWER, Apparent power: volt-ampere (VA)
- Implemented: MySensors, S_POWER, Ratio of real power to apparent power: floating point value in the range [-1,..,1]
- Implemented: Nefit Easy, User Mode (as switch, On=Clock, Off=Manual), Flow Temperature, Hot Water Mode
- Implemented: Notifications, custom notification text helpers $name and $value
- Implemented: OpenZWave, Aeotec ZWave+ USB Controller, Enable/Disable blinking mode (@Schmart, Thanks for the magic codes!)
- Implemented: OpenZWave, Node table, now also displays Manufacturer, Product ID and Product Type
- Implemented: OpenZWave, When including Thermostat Setpoints, the zwave Label will be used as Name by default
- Implemented: RFXMeter, Option to specify meter offset
- Implemented: P1 Electra Report, Now also displaying the counters for Return
- Implemented: RFLink: Displaying firmware version in the hardware setup
- Implemented: RFXCom, Blinds T12 (Confexx)
- Implemented: S0 Meter TCP
- Changed: I2C sensors grouping (ldrolez)
- Changed: ETH-8020, ignoring return message as it always returns (no more Success message)
- Changed: EventSystem, weather/rain value is now the rain-rate
- Changed: Forecast.io to DarkSky
- Changed: OpenZWave, Better support for Thermostat Modes
- Changed: Stable ID generation for Philips Hue scenes (you need to delete all scenes and restart the hue hardware or domoticz)
- Changed: TE923, Rain counter devided by 2
- Changed: Waterflow sensor, now uses Node+Child as ID (for example 0x0801)
- Changed: Wind Direction graph (now does not display directions when speed was equal to zero)
- Fixed: Better handling of white listed commands/urls
- Fixed: Blockly, fixed extra quote when setting a user variable string value
- Fixed: Database backup is now only possible for admin users
- Fixed: Double checking command rights
- Fixed: Dummy, Creating a new sensor always used the same id
- Fixed: Dummy, when new sensor is created, Add it to the EventSystem
- Fixed: Fix Off Delay not handled for Selector switch (#538).
- Fixed: Fix On/Off delays not saved on the selector switch edit form (#532).
- Fixed: Logitech Harmony, Ping request now working as well for firmware 4.10.30 (Herman)
- Fixed: KMTronic, did not work in timers/groups/scenes
- Fixed: Manual Light/Switch, when created, Add it to the EventSystem
- Fixed: Wind Speed/Gust graph, Plotbands
- Fixed: Added grid lines to percentage/lux/general graphs
- Updated: AngularJS 1.5.8
- Updated: Highcharts 4.2.6
- Updated: SQLite3 v3.13.0

Version 3.4834 (March 2nd 2016)
- Implemented: Blockly, now possible to use expressions in notifications/email/SMS like "My temperature is {{temperaturedevice[1234]}} degrees" (see http://www.domoticz.com/wiki/Events)
- Implemented: Blockly, now possible to send a notification with a user variable/device as subject/body
- Implemented: Chinese language support, big thanks to wxws!!
- Implemented: Custom Templates, now possible to directly call custom template pages (http://127.0.0.1:8080/#/Custom/mypage)
- Implemented: Day display in energy/gas/water/temp report
- Implemented: Dummy Hardware, Option to supply name, sensor is now also directly added to the system
- Implemented: Dummy Hardware, Wind+Temp+Chill
- Implemented: Dummy Hardware, option to create an RGBW switch
- Implemented: Extra timer-schedules: Odd/Even Days, Odd/Even Weeks, Monthly & Yearly
- Implemented: Hardware Monitor for FreeBSD (but it needs the libsysinfo package to work)
- Implemented: HTU21D(F)/SI702x Humidity+Temp I2C sensor (jvandenb)
- Implemented: Icelandic language support, big thanks to Magnus!!
- Implemented: Log View, added options to display All/Status/Error
- Implemented: Lua Editor
- Implemented: Macedonian translation (Big thanks to jocogvg!!!)
- Implemented: MySensors Ethernet gateway will now request the gateway version on startup
- Implemented: MySensors, Implemented V_CUSTOM
- Implemented: MySensors, Option to Enable/Disable using ACK per Child sensor from the MySensors hardware setup page
- Implemented: MySensors, Option to Name a node
- Implemented: Nest Protect
- Implemented: Nest Thermostat, support for multiple thermostats
- Implemented: Netatmo, support for multiple Thermostats
- Implemented: Netatmo, support for multiple weather stations (from the weathermap) and multiple rain sensors
- Implemented: New switch type 'Selector' (big thanks to cgaudry)
- Implemented: OpenZWave, added COMMAND_CLASS_PROTECTION in configuration options
- Implemented: OTGW, added firmware version number in hardware setup page
- Implemented: Option to transfer old Percentage sensors to new Percentage sensors
- Implemented: Philips Hue, support for Groups (create them with an external app like HueMote)
- Implemented: Philips Hue, support for stored Scenes (create them with an external app like Hue Pro)
- Implemented: RFLink: Added various sensors/devices (stuntteam)
- Implemented: RFXCom support for Legrand CAD
- Implemented: RFXCom support for Lighting5 IT (Intertek,FA500,PROmax,...)
- Implemented: Romanian Language translation (Thanks to Adrian!)
- Implemented: SBFSpot, support for multiple inverter instances
- Implemented: Scene Log
- Implemented: SolarEdge via Web API
- Implemented: Temperature Tab room selector
- Implemented: Thermosmart option to set specify outside temperature sensor
- Implemented: Waterflow sensor
- Implemented: Wind Beaufort scale
- Implemented: Wind Graph, option to delete a short-log data point
- Implemented: Panasonic TV support (Viera TV's after 2011 should work)
- Changed: Alert sensor, removed level notation in user interface
- Changed: EventSystem, don't process unused devices
- Changed: Fritzbox, Now updating text sensor on connect/disconnect
- Changed: Month temperature report average is now calculated by the daily average value
- Changed: OpenZWave, Control Panel log starts displaying from the end when entering for the first time
- Changed: OpenZwave, kWh sensor now maybe compatible with more hardware
- Changed: OpenZwave, not sending cold-white in the colorclass, solved issues on different Zipato bulbs
- Changed: OpenZWave, Renamed internally 'Color Control' to 'Color"
- Changed: Webserver, Refactor the webserver server class to separate the HTTP and HTTPS implementation, and gather all server settings in the new server_settings and ssl_server_settings classes.
- Changed: Webserver, Add -sslmethod, -ssloptions and -ssldhparam arguments to domoticz executable.
- Changed: Webserver, Refactor the logs to distinguish the two servers (HTTP and SSL).
- Fixed: Alert Sensor, displaying sValue again
- Fixed: Blockly, Set user variables (you need to resave your blockly's)
- Fixed: Blockly, string uservariables where saved with quotes when not using with set-after
- Fixed: Changing device order when selected a Room in the lights/utility tab
- Fixed: CM180i graph display
- Fixed: Dummy RGB sensor creation (was created with wrong ID)
- Fixed: EventSystem, now also handling sensors that only uses numbers instead of strings for data
- Fixed: Manual add Blyss type (Group code was wrong)
- Fixed: Manual add LightwaveRF type (DeviceID was wrong)
- Fixed: MySensors, barometric value was not used when below 995 hPa
- Fixed: Nest Thermostat, setting set point in Fahrenheit
- Fixed: RFXCom (433) protocol setup, Home Comfort checkbox did not show correct state
- Fixed: RGB sensor now also uses the RGB popup system
- Fixed: S0 Meter, fix for reloading totals of (#179)
- Fixed: Thermosmart, unpause
- Fixed: Fix the cleanup of sessions by shortening the validity duration of long term cookies (30 days instead of 1 year) and by cleaning all sessions asynchronously every 15 minutes.
- Fixed: Fix a potential issue in login process using a certificate when the subjectDN of the certificate has a different format.
- Fixed: Remove session only when the Logout command has been executed.
- Fixed: Fix a cache refresh issue by respecting HTTP standard (HTTP 304 and 204).
- Fixed: Remove unnecessary session attribute _tWebEmSession::lastRequestPath (used to check the request URI).
- Fixed: Optimize the reading method of the database backup file by allocating memory before reading the file and set it as the reply content.
- Fixed: Optimize the methods webem_action_function, webem_include_function and webem_include_function_x execution, by replacing the return value with an argument passed by reference.
- Fixed: Remove the unnecessary attributes cWebServer::m_retstr and cWebServer::m_wretstr used to received command and action result
- Fixed: Remove unnecessary session attribute _tWebEmSession::outputfilename (used to set content disposition header in the HTTP response).
- Fixed: Optimize the reading method of the '/ozwcp/cp.html' file by allocating memory before reading the file and set it as the reply content.
- Fixed: Optimize the reading method of the zwave configuration file by allocating memory before reading the file and set it as the reply content.
- Fixed: Refactor the http::server::reply structure and add some helper methods.
- Fixed: Fix filename attachment when saving ZWave configuration file (use filename instead of path).
- Fixed: Fix dead code in the AsyncSerial::close method causing the method not to stop or close the background resources.
- Fixed: Fix a security issue (DOS) in webserver to prevent a remote_endpoint exception to be thrown to the WebServer class causing the webserver to be down (no possible stop and no possible connection). Now, the webserver can be scanned using the nmap tool (for the SSL configuration purpose).
- Fixed: Fix the webserver not stopping and not restarting issue after an exception occurred.
- Fixed: Fix multiple session cleaner start after restarting webserver.
- Fixed: Fix webserver initialization failure if the local network interface is not IPv6 (due to wrong initialization sequence).
- Fixed: Fix abandoned connections not removed because the method connection_manager::check_timeout is never called [Security/Performance].
- Updated: OpenZWave, configuration files
- Updated: SQLite3 v3.11.1.

Version 2.3530 (November 1th 2015)
- Implemented: Degree Days in Temperature report
- Implemented: RFXCom, support for Home Confort TEL-010
- Fixed: Segmentation fault while cleaning timed out sessions (#180)

Version 2.3521 (October 31th 2015)
- Implemented "Stop" state in blockly in switch states
- Implemented: Ability to parse data coming from an HTTP POST data with a lua script (seb)
- Implemented: Added Logitech Media Server support (thanks to EddyK69!!)
- Implemented: Added pushbullet notifications (thanks to tofra!!)
- Implemented: Arabic translation (big thanks to Mo7sen!!)
- Implemented: Blockly, Option to compare sensor value against another sensor value
- Implemented: Blockly, Split Utility Sensors into multiple groups
- Implemented: Blockly/Lua SendSMS
- Implemented: Catch SIGHUP signal for log rotation (LarsForum)
- Implemented: Danish translation (big thanks to jokkemokke!!)
- Implemented: Devices Tab, now displaying scenes/groups
- Implemented: Dummy Hardware, Ampere Single (single ampere value, other ampere sensor expects 3 values)
- Implemented: EventSystem, now also reacts on master switches when a slave switch state changes
- Implemented: EventSystem, now supports Weather sensors: UV/Distance, Wind Gust (or speed when gust is not available), Solar Radiation and Rain
- Implemented: EventSystem, optimized Blockly calls (saves a lot of calls and cpu)
- Implemented: Hebrew translation (big thanks to mickeyv!!)
- Implemented: HTTP Data push, new types for Type/SubType/Hostname/Device Name
- Implemented: HTTPS support for On/Off actions
- Implemented: Icon Uploader, now possible to edit name and description
- Implemented: Icon Uploader, now possible to upload zip files with multiple folders
- Implemented: Icons for RFXMeter Gas/Water
- Implemented: Kodi Hardware device (Big thanks to dnpwwo!)
- Implemented: Logwindow, Added option to filter text
- Implemented: Mochad secure support (thanks to Simon)
- Implemented: MySensors added support for S_SCENE_CONTROLLER, V_SCENE_ON, V_SCENE_OFF
- Implemented: MySensors added support for S_SMOKE/S_DIMMER
- Implemented: MySensors added support for V_IMPEDANCE
- Implemented: MySensors, now using ACK for node commands (and fails if no ACK is received)
- Implemented: MySensors, renamed V_LIGHT to V_STATUS and V_DIMMER to V_PERCENTAGE to be compliant to the 1.5 API
- Implemented: MySensors, some more default naming of sensors if they where presented with a name
- Implemented: MySensors, V_IR_RECEIVE and V_IR_SEND
- Implemented: MySensors, V_TEXT, V_HVAC_SETPOINT_COOL and V_HVAC_SETPOINT_HEAT
- Implemented: Netatmo Weather Station (Big thanks to Sebastien!)
- Implemented: Notifications, new option "Ignore Interval"
- Implemented: OpenZWave, added Ultraviolet sensor type support
- Implemented: OpenZWave, Include/Exclude progress dialog-
- Implemented: OpenZWave, multi instance association support (thanks to xs4!!!)
- Implemented: Option for Dummy device to create Soil Moisture,Leaf Wetness, RGB Switch
- Implemented: Option how to display the kWh day graph (Power or (k)W/h)
- Implemented: Option to add a log message via the json api (see wiki)
- Implemented: Option to enter a description for each sensor/switch/scene
- Implemented: Option to flash sensors when an update is received (enable in the settings page)
- Implemented: Option to hide scenes/groups (placing a $ in front of the name)
- Implemented: Option to rename unused devices
- Implemented: Option to replace an Energy device
- Implemented: Rain Report
- Implemented: Revolt, added support for Voltage/PowerFactor/Frequency
- Implemented: RFLink SmokeDetector support
- Implemented: RFLink: Added various sensors/devices (stuntteam)
- Implemented: RFXCom (Serial) option to update the firmware via the web interface
- Implemented: RFXtrx ASA protocol implemented
- Implemented: RGB Popup to select color/on/off
- Implemented: Satel Integra hardware support (big thanks to Fantom)
- Implemented: Scene codes now handles again seperate status (on/off)
- Implemented: Scene, option for 'stop'
- Implemented: Serbian language support, big thanks to siklosi!!
- Implemented: Settings/Backup/Restore, when performing a database backup/restore the database is cleaned
- Implemented: Settings/Log, option to clear all short-log data
- Implemented: Slovenian language support, big thanks to eden86!!
- Implemented: smartwares thermostat, Logging of Day/Night switch
- Implemented: smartwares thermostat, Logging of setpoint value
- Implemented: smartwares thermostat, Setpoint popup
- Implemented: smartwares thermostat, Setpoint, now always logged
- Implemented: Support for browsers that do not support gzip compression (thanks to ash77)
- Implemented: Support for multiple scene/group codes
- Implemented: Support for the Plugwise Anna Thermostat (NEM)
- Implemented: Temperature Report
- Implemented: Text/Alert Sensor logging (when called from json api)
- Implemented: Thermosmart Thermostat
- Implemented: Web Server can now be bind to specific address (-wwwbind) (seb)
- Implemented: When clicking on the log button, browser page now always go to the top
- Changed: Air Quality chart will now not begin at 0
- Changed: All Energy sensors have been transfered to General kWh sensors (more accurate)
- Changed: BMP085, when forecast is unknown, its calculated directly based on the pressure
- Changed: disabled timeout for smartwares thermostat (no incoming data from device)
- Changed: EnOcean rocker inclusion (thanks to zorgluf!)
- Changed: EventSystem, not adding sensors from disable hardware
- Changed: forced fixed icon sizes on some locations (in case of to big user defined icons)
- Changed: Internal HTML/JS changes to support all types of characters in the sensors name
- Changed: json "udevice" Percentage sensor, you might get new ID's, now also creates an event for blockly/lua
- Changed: KMTronic LAN, now using actual On/Off commands instead of 'Toggle'
- Changed: Lowered HTTP connection timeout to 10 seconds
- Changed: Main, all fatal signals where not handled (e.g. SIGILL, SIGABRT,SIGFPE) (cgaudry)
- Changed: Main, application should be stopped after fatal signal receiving (cgaudry)
- Changed: Main, dumptrace is not logged because the stderr handle is closed on startup (cgaudry)
- Changed: Main, signal code received is not logged (cgaudry)
- Changed: migrated to github
- Changed: MySensors, rebuild
- Changed: non-windows systems, scripts can now use a relative patch to the scripts folder if script does not start with a '/'
- Changed: OpenZWave, Alarm/Notification mappings update (xs4)
- Changed: OpenZWave, Fibaro Wall Plug, now using multisensor for power reading
- Changed: OpenZWave, when receiving a timeout notification, do not flag node as 'dead', only log the message
- Changed: RFXCom, fixed confusing logs (cgaudry)
- Changed: Short Log cleanup method
- Changed: SQL Queries, now using safe_query to escape all strings (big thanks to Thibaut!)
- Changed: SQLHelper, spelling mistake (cgaudry)
- Changed: Switch icon picker now has a fixed height
- Changed: Windows serial port Enumeration (now also supports windows 10)
- Fixed: 1-Wire negative values
- Fixed: Battery low (typo) notification
- Fixed: Counter Incremental small icon display on devices tab
- Fixed: Davis Logger
- Fixed: Devices Tab, set device to unused
- Fixed: Display correct energy graph in devices view (spline instead of bars for short log)
- Fixed: Email Notifications where always enabled after restart
- Fixed: EventSystem, _tEventItem.Conditions should not be modified while reading m_events (cgaudry)
- Fixed: EventSystem, asctime is not thread-safe (replaced with strftime) (cgaudry)
- Fixed: EventSystem, SIGSEGV (cgaudry)
- Fixed: EventSystem, splitresults has missing values because m_devicestates is modified while using an iterator on the map (cgaudry)
- Fixed: EventSystem, fixed memory leak when calling lua scripts
- Fixed: HTTP Push table localization (thanks to cgaudry)
- Fixed: Icon Uploader, uploading went wrong with large files
- Fixed: MySensors, corrected sending localtime
- Fixed: MySensors, Negative temperature sensor
- Fixed: MySensors, S_LIGHT now creates an initial switch again
- Fixed: MySensors, switch names where always set to default name (was caused by safe_query changes)
- Fixed: Netatmo, Rain Sensor
- Fixed: OpenZWave with large homeid values
- Fixed: Post command handling
- Fixed: pushover sound notification (thanks to EddyK69)
- Fixed: Revolt, Energy Graph
- Fixed: Scenes RFY switch command now correctly handled
- Fixed: Security Panel delay, now again possible to set delay to 0 (directly)
- Fixed: Temperatures not updated on UI without refreshing browser or changing tabs
- Fixed: Tooltip bug for the Dusk sensor in the Lights tab
- Fixed: upgrading via the web interface (some users had experienced a problem)
- Fixed: Weather tab, notifications

Version 2.2563 (June 14th 2015)
- Implemented: WebServer, native SSL and keep-alive, big thanks to chimit!!!!
- Implemented: RFXCom, support for Blinds T9/T10
- Implemented: RFXCom, mode6 (Keeloq protocol) support
- Implemented: RFXCom pTypeInterfaceControl messages
- Implemented: RFXCom, sTypeTH13/sTypeTH14
- Implemented: MQTT support
- Implemented: Native 'Ping' (System Alive Checker) hardware
- Implemented: KMTronic USB/WEB/RS485 relay hardware
- Implemented: 'SMS' notification system
- Implemented: 'Kodi' notification system (thanks to dnpwwo)
- Implemented: 'Custom HTTP' notification system
- Implemented: Fritzbox Hardware type for caller ID
- Implemented: JSON API, option to 'Toggle' a switch state between On/Off
- Implemented: Sound Level sensor (dB)
- Implemented: Support for the ETH8020 relay board
- Implemented: Lithuanian language support (thanks to our translators!)
- Implemented: Hungarian language support (big thanks to Isty1974!)
- Implemented: Greek language support, big thanks to George!!
- Implemented: Distance Sensor (cm/inches)
- Implemented: Mertik (Thermostat 3) added Second Up/Second Down option in the popup
- Implemented: BMP085/MySensors forecast Cloudy/Rain when pressure is <1010 hPa and original forecast was Cloudy
- Implemented: Devices tab, Barometer/Text log option
- Implemented: 'Toon' zwave switches support
- Implemented: Mertik (Thermostat 3) Up/Down popup
- Implemented: P1 Meter, Energy Used/Generated in graph
- Implemented: Option to specify sensor timeout (default 60 minutes)
- Implemented: Option to Enable/Disable notification systems
- Implemented: Option to supply custom notification messages
- Implemented: notifications, option to send to specific systems
- Implemented: Basic Auth, log message when a wrong username/password is provided (thanks to pj-r)
- Implemented: Scene/Group, now possible to add same device multiple times, as long as the ondelay is different
- Implemented: Scene devices now supports both on and off delays (off = ondelay + offdelay)
- Implemented: CORS browser support
- Implemented: Settings, Battery Low check
- Implemented: Counters in P1 Electra/Gas month reports per day
- Implemented: OTGW, MsgID=14 and MsgID=17 (if reported)
- Implemented: OTGW, CH_Enable/DHW_Enable are now switchable (Thanks to Rob K)
- Implemented: OTGW, support for GPIO A/B switches (Thanks to Rob K)
- Implemented: Devices Tab, option to rename device
- Implemented: Events/Lua, User Variable can now be set after XX seconds
- Implemented: OpenZWave, Sanity check for Network Key Length
- Implemented: Openzwave, Now using security branch
- Implemented: OpenZWave, option to include device secure (only use for ZWave+ devices)
- Implemented: OpenZWave security, added support for the Philio PST02-1A door contact
- Implemented: OpenZWave velocity sensor (wind)
- Implemented: Uservariables, display Idx value (thanks to ikkemaniac)
- Implemented: Incremental Counter sensor (thanks to ikkemaniac)
- Implemented: SolarMax inverter with Lan interface
- Implemented: Current sensors now also display actual state in caption
- Implemented: Extra check in short-log cleanup
- Implemented: Mobile Phone icon
- Implemented: Set Blinds Percentage level from blockly (Ticket #437)
- Implemented: 'Nest Thermostat' hardware support
- Implemented: Option to Enable/Disable the Custom tab for non-users (admin)
- Implemented: Warning when deleting a Blockly event
- Implemented: Blind status "Stopped" now also displayed on dashboard
- Improved: MySensors support
- Improved: Logitech Harmoney Hub
- Changed: Avoiding possible RTC/NTP clock drifts
- Changed: Transferring a device will now look internally which device is newer/older
- Changed: Meteostick support (thanks to Devilsnet)
- Changed: Handling timeout (dead node)/Awake status, also for switches in the Gui
- Changed: More translation work done
- Changed: OpenZWave, when a switch/dimmer is turned off, and this node has a Power/Energy sensor, their value is set to 0
- Changed: OpenZWave Color Command Class (you need to re-include the node)
- Changed: Javascript translation system to I18Next
- Changed: Air Quality (CO-2) sensor class
- Changed: P1 Electra/Gas meters now have an ID, update all your domoticz instances!
- Changed: S0 Meter, actual usage calculation
- Changed: Wind sensor, now using max speed/gust in short log
- Changed: Inverted open/close for BlindsT10
- Changed: Swapped counters for 'Toon', usage/delivery 1 and 2 where inverted
- Changed: RFLink: disabled debug, corrected support for KAKU door/window sensors and dim values
- Changed: Notification system (big thanks to chimit!)
- Changed: Moved curl folder to windows libraries folder (windows compiler, download the new WindowsLibraries.zip)
- Changed: Now possible to disable serial hardware when usb port is not available
- Changed: FibaroLink/Datapush, support for V4 firmware
- Changed: General Graph, min value is now calculated dynamically
- Changed: Better new update notification when launching browser
- Changed: Logitech Harmony Hub code
- Changed: RFLink controller initialization detection (reported by gkroone)
- Changed: Serial Port names (now always as string)
- Changed: Setpoint Up/Down rounds up to 0.5 degrees
- Changed: Not sending actual motion sensors off command, only updating internally
- Changed: Enlarged windows console log window
- Changed: Scenes, now supports adding security devices
- Changed: Teleinfo, added support for CBEMM meters (TELEINFO_TYPE_MOTDETAT), thanks to berty!
- Changed: Light/Switch log now includes seconds in popup
- Fixed: ZWave Light dimming
- Fixed: Updating hardware settings for GPIO
- Fixed: UVC camera default parameters where incorrect
- Fixed: Fritzbox received from/to where switched
- Fixed: TeleInfo (TDF) Hardware ID
- Fixed: Closing Voltcraft usb device handle after reading
- Fixed: P1 Gas, shortlog graph hour shift duo DST
- Fixed: Update UserVariable from json
- Fixed: Not handling invalid barometer svalues (duo invalid json call)
- Fixed: Sunset/Sunrise update in blocky events (thanks to pj-r!)
- Fixed: Compiling under ubuntu (issue 'rm CMakeCache.txt' first)
- Fixed: hardware setup, passwords containing specials characters
- Fixed: devices tab, adding device with names containing specials characters
- Fixed: Email Port, please check your email settings if the port is still correct
- Fixed: Gui display problem when going from Scenes to the Devices table
- Fixed: Pushover/NMA now use the subject again
- Fixed: Setting correct folder permissions on the backup folder
- Fixed: Blockly, now escaping strings/xml
- Fixed: Blockly, possible saving of 'ghost' events
- Fixed: User Editor, updating a user could result in random password change
- Fixed: EventSystem, checking if notification contains two parameters
- Fixed: S0 Meter, Restore last values, and updating hardware settings
- Fixed: Gui slider update for Blinds Percentage
- Fixed: Possible bug that could delete an incorrect shortlog data point (option in graph, shift-click to delete)
- Fixed: CM113 "Watt", now only displays 1 phase if phase 2/3 are 0 (not used)
- Fixed: custom tab now only displayed when there are html files in the template folder, and the option display custom tab is enabled
- Fixed: Removed update notification in the login screen
- Fixed: wind gust tooltip
- Fixed: Wind Graph generation could cause a crash

Version 2.2284 (February 22th 2015)
- Fixed: Firefox, RGBW/Setpoint popup

Version 2.2283 (February 21th 2015)
- Implemented: Alert Sensor (update via udevice json call)
- Implemented: Automatic OpenZWave heal network command at 04:00am
- Implemented: Blinds1, T7 Forest
- Implemented: Blockly/Lua Thermostat/Setpoint utility device
- Implemented: Changing color in scene/groups will now also change it on actual device (for preview)
- Implemented: Cubie internal Voltage/Current sensors
- Implemented: Devices tab, CM180 log option
- Implemented: Dewpoint devices in Blockly
- Implemented: Dimmer, on/off actions
- Implemented: Displaying OpenZWave version
- Implemented: EnOcean, added support for TempHum.02
- Implemented: EnOcean3, added support for door level
- Implemented: Evohome support (Thanks to Will!)
- Implemented: GUI Theme selection
- Implemented: Icon scaling setting per floorplan
- Implemented: Logging counter values for P1 meter (not displayed yet)
- Implemented: Logging when a script is executed
- Implemented: Manual add Blinds T6 type (DC106, YOOHA, Rohrmotor24 RMF)
- Implemented: Manual add Smartwares Radiator switch/device (will be visible afterwards at Utilities)
- Implemented: Manual add Thermostat2 switch (type HE105)
- Implemented: native HTTPS support
- Implemented: Native Mochad hardware support (thanks to kaashoek)
- Implemented: OpenZWave Node Queried status, last seen in Node table
- Implemented: OpenZWave, Added NorthQ nq9121.xml config file
- Implemented: OpenZWave, Added Qubino ZMNHJA2.xml config file
- Implemented: OpenZWave, Blinds Percentage Inverted (Thanks to PIM)
- Implemented: OpenZWave, COMMAND_CLASS_COLOR_CONTROL (for o.a. Zipato RGBW) (needs to be accepted by openzwave yet)
- Implemented: OpenZWave, Controller Node, option for Nightly Network Heal (disabled by default)
- Implemented: OpenZWave, polling all multi_sensor values now (if polling enabled)
- Implemented: OpenZWave, support for COMMAND_CLASS_THERMOSTAT_MODE and COMMAND_CLASS_THERMOSTAT_FAN_MODE
- Implemented: OpenZWave, when doing an Inclusion, "allow new hardware" is enabled for 5 minutes if disabled
- Implemented: Option for Dummy device to create Ampere Sensor
- Implemented: Option for Dummy device to create Switch Sensor
- Implemented: Option for Dummy device to create Usage (Electric) Sensor
- Implemented: Option to upload/use Custom Icons for On/Off switches (See updated manual)
- Implemented: OTGW sending current time/day
- Implemented: OTGW, added support for setting the Control Setpoint
- Implemented: P1 SmartMeter, support for the Gyr E350 (Gas reading)
- Implemented: Philips Hue native support
- Implemented: Previous Baro meter to month/year graph
- Implemented: PushAlot notification system (Thanks to Toni!)
- Implemented: Raspberry Pi 2 Internal CPU Temperature
- Implemented: RGBW Popup to select color/on/off
- Implemented: Roomplan selector on switches/utility tab
- Implemented: S0 Meter, settings for meter 3,4 and 5
- Implemented: SBFSpot compatible now
- Implemented: Scene/Group, Blinds Percentage (+Inverted) can now set the percentage level
- Implemented: Scenes/Groups, additional On/Off delay option
- Implemented: Setpoint Popup
- Implemented: sha256sum checksum checksum checking while downloading a new beta/stable
- Implemented: Support for device-type Usage/Electric in Blockly/Lua
- Implemented: Support for MySensors
- Implemented: Text Sensor (update via udevice json call)
- Implemented: Thermostat Setpoint timers
- Implemented: Trend Lines in various charts
- Implemented: ttyACM serial ports if available
- Implemented: Wind Gust chart
- Implemented: ZWave battery values for all sensor types that reports this
- Changed: 1Wire, better temperature checking
- Changed: Better/Correct appcache handling of themes
- Changed: Date/Time notation in log to ISO-8601 (thanks to Ugo)
- Changed: Dimmer value is now updating on screen
- Changed: EventSystem time trigger now on exact minute change
- Changed: floorplan code to handle non-landscape images better
- Changed: floorplan interface, German translation
- Changed: kWh meters that do not provide current usage will now calculate the usage in the day graph
- Changed: lua 'UpdateDevice' now updates internal state instead of reloading all states
- Changed: Mertik, will now display status=ON when received Up/Down command
- Changed: Motherboard sensors logging, there will be new devices, and this time working as normal (can be shared/used everywhere)
- Changed: New patch for Logitech harmony (thanks again!)
- Changed: OpenZWave code change to fix (ApplicationCommandHandler - Unhandled Command Class 0x2b)
- Changed: OpenZWave Fibaro RGBW configuration file (had problems with the powerlevel class)
- Changed: OpenZWave logging, more persistent with node id's (thanks to Ugo)
- Changed: OpenZWave, configuration file for Romotec ZXT-120
- Changed: Renamed SMASpot to SBFSpot
- Changed: Scene/Group now takes switch On-Delay into account
- Changed: Settings Page
- Changed: Status message color in log viewer
- Changed: TE923, now supports battery levels (good/bad)
- Changed: Themes are now sorted, ignoring .svn folders
- Changed: ZWave lights/dimmers can now be dimmed in percentage from 0..100 (Thanks to Gilles)
- Fixed: Blinds1, T6 DC160 should work now
- Fixed: Dashboard, Scenes now not displayed if user does not have the rights to them
- Fixed: Deleting data points from general graphs (like voltage)
- Fixed: Dimmer slider resize
- Fixed: Gui, working with Sensors that contains special characters in the name
- Fixed: Hardware data timeout notation for 24 Hours
- Fixed: I2C, possible crash when no device connected
- Fixed: lua 'UpdateDevice' now reloads current states
- Fixed: lua/blockly energy device value
- Fixed: OpenZWave Node configuration parameters with special characters
- Fixed: OpenZwave RGBW controller
- Fixed: OpenZWave when doing a soft/hard reset all entries will be deleted from the ZWaveNodes table
- Fixed: OpenZWave, converted home_id to correct variable
- Fixed: OpenZWave, now fully supported domoticz as a secondary Controller (thanks to Cruguah)
- Fixed: Openzwave/zwave.me issues with large home_id
- Fixed: Possible crash in Eventsystem (GetCurrentMeasurementStates) where string value was empty
- Fixed: Pushover notification setup in settings (could contain invalid characters)
- Fixed: Setpoint timers, 'when' selection
- Fixed: Setting default security network key for openzwave
- Fixed: Temperature trend-line toggle removed range chart data
- Fixed: Timer editor, by default all day check boxes are now checked (to match everyday as default)
- Fixed: Windows Exit application from tray icon
- Fixed: YouLess counter value in Report
- Updated: AngularJS library
- Updated: WindowsLibraries on server

Version 2.2025 (September 28th 2014)
- Implemented: 'Toon' hardware support
- Implemented: 1wire : add support of DS2438 (family 26h) on OWFS and Windows
- Implemented: A-OK Blinds now displays a stop button
- Implemented: Added Fibaro Motion Sensor (0800/1001) to the openzwave manufacturer file
- Implemented: additional dparam replacement for the json command option (can be used where &param is translated to ParaCharacterEntity (PHP for example)
- Implemented: AppLamp now remembers last dim level in the widgets
- Implemented: Application Settings, option to allow receiving of new sensors for 5 minutes (button)
- Implemented: Blockly, switch light on/off after xxx seconds
- Implemented: catching SIGHUB, it will recreate the log file (could be usefull for logrotate functions)
- Implemented: Dashboard, clicking on the 'contact' switch icon now displays the switch log
- Implemented: Delete short log value P1 SmartLog (Shift-Left click)
- Implemented: Device Name now displayed for the Scene/Group learn code
- Implemented: Devices Over, added log icon for Chime and Thermostat
- Implemented: EventSystem can now use the utility values for Percentage/Voltage/Lux
- Implemented: Fibaro Link data pusher
- Implemented: Forecast button in temperature/weather tab
- Implemented: Hardware device auto restart option
- Implemented: It is now logged which user issued a switch/security reset/setpoint/thermostat state change command
- Implemented: JSon parameter=udevice now will set the SetPoint if it applies
- Implemented: Latest RFXCOM SDK (6.24)
- Implemented: Latest RFXCOM SDK (6.25)
- Implemented: Light/Scene/Group timer with fixed Date/Time
- Implemented: Lighting2 scene activation support for GroupOn/Off devices
- Implemented: Lighting5, Aoke
- Implemented: Meteostick USB
- Implemented: Native Logitech Harmony support (thanks to CodeItAway!)
- Implemented: Navigation toolbar for mobile devices
- Implemented: New internal website system
- Implemented: On/Off switches, On Delay option
- Implemented: openzwave added support for Vision Battery Operated Siren (ZM1601EU)
- Implemented: OpenZWave configuration of 'Wake-up Interval' (COMMAND_CLASS_WAKE_UP)
- Implemented: OpenZWave Tag Reader support
- Implemented: OpenZWave, Fibaro RGBW color wheel/timer support
- Implemented: Option for custom pages, see www/templates folder
- Implemented: Option for Dummy device to create Gas Sensor
- Implemented: Option for Dummy device to create Lux Sensor
- Implemented: Option for SMASpot device to import old month data (SMASpot month files)
- Implemented: Option for SMASpot device to import old month data (SMASpot website export)
- Implemented: Option in Login form to remember username/password (1 year)
- Implemented: Option in settings to choose default or holiday timer plan (maybe custom plans later)
- Implemented: Option to delete data point from sensor by Shift-Left click on short log for counter graphs
- Implemented: Option to enable/disable eventsystem (lua/blockly/scripts)
- Implemented: Option to hide devices (placing a $ in front of the name, or the new special roomplan)
- Implemented: Option to hide Sensor's from whom it's hardware is disabled
- Implemented: Option to log to syslog
- Implemented: Option to run as daemon (see new domoticz.sh startup script)
- Implemented: Rasberry Pi GPIO (WiringPi) support, thanks to Vicne!
- Implemented: RFXCom over LAN setup button
- Implemented: RFXtrx RFY protocol implemented
- Implemented: RFXtrx TH12 soil sensor (Imagintronix)
- Implemented: RFY Off Delay (Stop)
- Implemented: RFY, Venetian Blinds support (EU/US)
- Implemented: RGB light timer now shows actual color on device when selected
- Implemented: Room Plan editor, hardware name infront of sensors to add
- Implemented: Scene On/Off actions
- Implemented: Sensor type CM119/160 can now display previous year data
- Implemented: setting signal/battery level from udevice json call
- Implemented: Splash screen for iPhone5 retina
- Implemented: Support ENI provider in ICY hardware
- Implemented: Switch icon Alarm
- Implemented: Switch Scene/Group behaviour with learn codes enabled
- Implemented: today value for Energy devices in Utility tab
- Implemented: Toon Flame State
- Implemented: web traffic reduced when refreshing widgets
- Implemented: Web Update now also supported for linux_x86_64 systems (Ubuntu)
- Changed: appcache file
- Changed: AppLamp more support for RGB lamps (not sold anymore)
- Changed: AppLamp more support for White lamps
- Changed: Camera setup, dropped videoURL, Screenshots are now taking from within Domoticz, now possible to watch live camera over internet connection (snapshot refresh every 100ms)
- Changed: Counter reports will now include 'today'
- Changed: Energy Device now logs updates same value in short log
- Changed: GPIO applied new patch for new WiringPi support
- Changed: Increased Shortlog resolution for Gas/Water sensors
- Changed: LaCrosse WS2300 Wind sensor does not report speed, now setting speed=gust
- Changed: Not logging sensors that are ignored
- Changed: OpenZWave COMMAND_CLASS_SENSOR_MULTILEVEL support for multiple index/instance
- Changed: OpenZWave Lux sensors that reports in percentage is now converted to Lux (with a max of 1000 Lux)
- Changed: openzwave, larger timeout for messages to and from secondary controllers
- Changed: pTypeUsage log now with a resolution of .1 Watt
- Changed: RFXMeter values for Water/Gas now displays with 3 digits
- Changed: Security Panel (thanks to The Duke!)
- Changed: startup script now compatible with new ubuntu pidofproc
- Changed: startup script path to include /usr/local/bin, users of wiringPi should replace the startup script
- Changed: Transfer device rebuild to Replace Device (See manual)
- Changed: When receiving of new sensors is disabled, it's now possible to add a manual light/switch
- Disabled: Internal hardware monitoring, some users have issues with latest changes
- Fixed: (to be verified) possible crash when sending emails when no internet connection was available
- Fixed: AppLamp Group4 operation
- Fixed: Chime devices now visible on dashboard
- Fixed: Correct colour will now be send to AppLamp/Fibaro RGBW from timers
- Fixed: Dashboard/mobile, double 'open' for contact switch types6
- Fixed: Editing Humidity Device will (Not displaying temperature adjustment)
- Fixed: Editing Utility Setpoint Name
- Fixed: Floorplan editor missing database table fields
- Fixed: Hardware Setup, motherboard sensors can now be enabled/disabled
- Fixed: Lights/Scenes On/Off actions with spaces and special characters
- Fixed: Manual add Lighting 2 switch (type HE)
- Fixed: On/Off actions for security devices
- Fixed: openzwave dimable lights did not restore to last brightness level when turned on
- Fixed: OpenZWave support for multi binary sensor (for instance FGBS001)
- Fixed: Override pages now checks for authentication
- Fixed: Pushover notification (thanks to Gerlo)
- Fixed: Remote sharing of devices with same ID
- Fixed: S0 Meter second pulse counter
- Fixed: Scene timers after including timerplan option
- Fixed: setting setpoint from udevice json call
- Fixed: TeleInfo checksum calculation
- Fixed: Updater when eventsystem was disabled, and added laguage support
- Updated: OpenZWave library

Version 1.1680 (April 21th 2014)
- Implemented: Allow interactive emulation of X10 sensors
- Implemented: Blinds Percentage switch type (Fibaro roller shutter)
- Implemented: BlindsT7 (Forest)
- Implemented: Bulgarian translation (Thanks to Tommit!)
- Implemented: Charts have now a dropdown option, export to CVS
- Implemented: Dashboard tiles can now be ordered for room-plans
- Implemented: Dashboard, clicking on a Visibility/Radiation sensor icon will display the log
- Implemented: Device Tab, option to display chart for sensors with Current/Percentage/Volt/Humidity
- Implemented: Energenie5/COCO GDR2-2000R
- Implemented: EnOcean ESP2 (TCM-120) support for On/Off/Dimmer, Temperature, Humidity and Light Sensors
- Implemented: FreeBSD compatibility
- Implemented: jsonp support
- Implemented: Latest RFXCOM SDK (#74)
- Implemented: Light Log, Arm/Disarm/Motion/No Motion now also visible in graph
- Implemented: New General Voltage devices with 3 decimals
- Implemented: Norwegian translation (Thanks to Sungrazer!)
- Implemented: openzwave Voltage/Ampere
- Implemented: OpenZWave, configuration is now written to disk every hour
- Implemented: OpenZWave, option to configure node list settings
- Implemented: OpenZWave, option to delete failed nodes
- Implemented: OpenZWave, option to include/exclude nodes, support for windows COM port numbers greater then 9
- Implemented: OpenZWave, Receive/Send Configuration, Transfer Primary Role
- Implemented: OpenZWave/Razberry, Power Factor sensor
- Implemented: Option for Dummy device to create Air Quality Sensor
- Implemented: Option to control Meiantech security status
- Implemented: Option to display temperature in Fahrenheit
- Implemented: Option to Enable/Disable Widget Re-Ordering (settings page)
- Implemented: Option to specify S0 Meter serial baudrate
- Implemented: OTGW, CH Water Pressure (if available)
- Implemented: OTGW, option to specify outside temperature sensor (hardware setup)
- Implemented: OTGW, status switches
- Implemented: P1/Counter log, Previous year in charts
- Implemented: P1/Gas/Counter log, report charts
- Implemented: Portuguese translation (Thanks to Maluku!)
- Implemented: Pressure Sensor (Bar)
- Implemented: protection option for light/switches/scenes/set points
- Implemented: Pushover notification support
- Implemented: Razberry COMMAND_CLASS_SCENE_ACTIVATION (push on button) on Instance_0
- Implemented: Razberry COMMAND_CLASS_THERMOSTAT_MODE (0/1)
- Implemented: Razberry Voltage/Ampere
- Implemented: Report for RFXMeter Water
- Implemented: Script parameters for Light On/Off actions
- Implemented: Slovak translation (Thanks to marek786!)
- Implemented: SMASpot, accepting windows edited configuration lines!?!!...
- Implemented: SMASpot, Temperature
- Implemented: SMASpot, voltages, efficiency, Hz and Bluetooth signal strength
- Implemented: Support for Forecast.io
- Implemented: Support for ICY (Essent) Thermostats
- Implemented: Support for P1 Cables with baudrate 115200
- Implemented: Support for Remote Control buttons (On action Only!)
- Implemented: Support for SMASpot compatible solar Inverters
- Implemented: Support for SolarEdge Inverters (SE5000 and similar with TCP/IP interface)
- Implemented: Switch On/Off actions can now also be used from outside Domoticz (for instance using them to an actual remote control)
- Implemented: Temperature Month/Year graphs now display min/max as a range
- Implemented: Temperature Month/Year graphs now displays Average Temperature
- Implemented: Temperature/Weather widgets forecast button if hardware is WU/Forecast.io
- Implemented: Thermostat 3 (Mertik) now visible on dashboard
- Implemented: Thermostat3 Support (Mertik)
- Implemented: unix hardware monitor for Memory/CPU and Disk usage
- Implemented: Web Frontpage Example
- Implemented: Weight Scale now includes a digit in the graphs
- Implemented: Widgets now turn yellow (if no timeout) if the battery level is <= 10 percent
- Changed: All external hardware sensors without RF now reports rssi level 12
- Changed: HTML code for manual light
- Changed: Lots of work on charts plotting
- Changed: Mobile Dashboard now uses buttons to toggle state
- Changed: no more hour: minute in month/year graphs
- Changed: Other method to retrieve raspberry pi temperature
- Changed: Raspberry Pi temperature reporting intern. (Should save an extra return in the log output)
- Changed: Temperatures are now valid till 380 degrees
- Changed: Translation Language Loading
- Changed: ZWave, Power sensors that does not transmit usage, now used as power instead of usage
- Fixed: custom_light_icons json request (now reporting status OK)
- Fixed: Daylight Saving values for 29-march-2014
- Fixed: Fibaro Wall Plug (fgwpe) config
- Fixed: Limitless/AppLamp problem
- Fixed: OpenZWave fixed possible problem with Alarm Level/Flood/Smoke/Heat value changes
- Fixed: OpenZWave general type (motion sensor) (thanks to Dnpwwo!)
- Fixed: OpenZWave humidity updates
- Fixed: OpenZWave/SMASpot/Solaredge remote Domoticz clients did not receive Power reports
- Fixed: OTGW, TCP/IP working now
- Fixed: OTGW, dunit was not set
- Fixed: Problem in requesting devices when a Voltage device was queried (after this device no more where retrieved)
- Fixed: Pushover test option in the settings page
- Fixed: Razberry, problem with door sensors
- Fixed: Razberry, supports now devices with multiple switches (SENSOR_BINARY)
- Fixed: Scene/Group editor now displays Level is the first light/switch supports it when entering the page
- Fixed: Set SetPoint device
- Fixed: Shortlog cleanup for Percentage/Fan
- Fixed: Temperature icons for Fahrenheit
- Fixed: Thermostat SetPoint in Fahrenheit
- Fixed: WebUI dew point calculation for Fahrenheit
- Removed: Unused Save/Delete buttons in edit Scene/Group
- Updated: Highcharts 3.0.10

Version 1.1396 (January 18th 2014)
- Implemented: Add Manual Light/Switch for Meiantech
- Implemented: Application Settings, option to enable/disable adding of new hardware/devices (For example to disable newly received RF hardware)
- Implemented: Blockly/Lua, Send Email notification to
- Implemented: Creation of 2 new database parameters in DeviceStatus
- Implemented: Creation of auto backup folders
- Implemented: Dashboard, clicking on a Motion/Dusk/Rain sensor icon will display the log
- Implemented: day & nighttime boolean variables in Lua
- Implemented: Dummy hardware, option to add counter/electric sensors
- Implemented: gzip compression for web traffic
- Implemented: Ignoring negative WU rain/uv/visibility values
- Implemented: Implemented RisingSun manual add light/switch option
- Implemented: Initial support for EnOcean hardware (Only ESP2, protocol V2) at the moment, and switches only
- Implemented: Initial support for RGB driver TRC02
- Implemented: Limitless/AppLamp, can now also be used as 'Dimmer'
- Implemented: Limitless/AppLamp, can now be set to a defined color in scenes/groups/timers
- Implemented: Limitless/AppLamp, option to set Hue/Brightness in the Edit option
- Implemented: New 1-Wire system (Thanks to Sebastien!), Kernel users have to transfer old sensors to new ones (device id is swapped in hex)
- Implemented: New 1-Wire system (thanks to Sebastien)
- Implemented: new commandline option to specify www root folder (-wwwroot)
- Implemented: Notification Priority in Lua/Blockly
- Implemented: OpenZWave Controller node configuration (PollInterval)
- Implemented: OpenZWave, now possible to set Node configuration settings
- Implemented: OpenZWave, option to download configuration file via Node dropdown menu
- Implemented: Option to delete data point from sensor by Shift-Left click on short log for temp/uv/lux/usage graphs
- Implemented: Option to specify On/Off actions for lights/switches (http/script)
- Implemented: P1 Smart meter, counter values in report
- Implemented: Polish translation (Thanks to Jastrzi !)
- Implemented: Prevent multiple windows instances from running
- Implemented: Prowl/NMA notification priority (not in Lua/Blockly yet)
- Implemented: Russian translation (Thanks to kur1977)
- Implemented: Security Panel delay
- Implemented: various improvements to have Domoticz compile in VS2010 straight from the repository
- Implemented: Windows installer option to install as service (for server implementations, no icons will be installed)
- Implemented: Windows, Support for OpenHardwareMonitor supplied sensor data in Windows version of Domoticz. See wiki for info. If you see a hardware device "Internal sensors", please delete it. The correct one to use is "Motherboard".
- Implemented: www port can be specified in windows installer
- Changed: Contact notifications now says 'Open/Closed' instead of 'On/Off'
- Changed: devices tab, ID of Energy devices now displayed in Hexadecimal
- Changed: Door Lock/Contact switch type now also handles 'Set Group Level'
- Changed: Log file will append, not deleted when domoticz is restarted
- Changed: OpenZWave, better handling of COMMAND_CLASS_ALARM and COMMAND_CLASS_SENSOR_ALARM (you might get new devices!)
- Changed: S0Meter extended for devices with 5 wires
- Changed: Smoke Detector reset button now gray when there is no panic, purple when there is
- Fixed: Autobackup
- Fixed: Commandline option for linux now ignores slash character /
- Fixed: Day string logging for the DT1 - RTGR328N device
- Fixed: Device/Scene/Group names can now included special characters like %
- Fixed: Edit Users, right combobox did not correctly update when selecting a user
- Fixed: Endianess problems
- Fixed: Fixed problem with lux day value
- Fixed: Hardware Settings, Domoticz remote server port display
- Fixed: Hardware started/stopped state, should fix the double starting of hardware
- Fixed: I2C BMP085 hardware port notation
- Fixed: Level dropdown now hidden in Scene/Groups for RGB devices
- Fixed: LightWaveRF dimming
- Fixed: Notifications for Rego6XX status (switches) were not working
- Fixed: openharwaremonitor drifting WMI id's. Please delete all previous ohwm devices and select the new ones with slash paths in the id.
- Fixed: OpenZwave for windows release build
- Fixed: OWFS Windows, Counter(s)
- Fixed: PiFace hardware port notation
- Fixed: Rego6XX counter logs did not work
- Fixed: RFXtrx hardware can now also be compiled/used accross big-little endianess systems
- Fixed: Scene/Group timer editing (specified days was incorrectly handled)
- Fixed: Switch On/Off action deletion
- Fixed: Transfer dialog did not show correct title in front of destination device
- Fixed: URL encoding in Edit Light/Switch
- Fixed: Usage/Meter (year/month) did not report correctly for values older then one year (not also uses less web traffic)
- Fixed: User Devices for Users that did not have 'Shared' rights
- Updated: Highcharts 3.0.9, JQuery and JQueryUI

Version 1.1186 (November 16th 2013)
- Implemented/Changed: Scenes 'Learn' command will now listen to the status (pressing On/Off/Mood)
- Implemented: Added more log buttons to the devices tab
- Implemented: Added otherdevices_dewpoint to Lua scripts
- Implemented: Added otherdevices_rain to Lua scripts
- Implemented: Added otherdevices_rain_lasthour to Lua scripts
- Implemented: Added otherdevices_uv to Lua scripts
- Implemented: Added otherdevices_winddir to Lua scripts
- Implemented: Added otherdevices_windgust to Lua scripts
- Implemented: Added otherdevices_windspeed to Lua scripts
- Implemented: Added Visibility/Solar Radiation to Lua scripts
- Implemented: Alecto SA30 smoke detector hardware support
- Implemented: BBQ hardware supported (Maverick ET-732)
- Implemented: Camera Setup, Streaming Icon
- Implemented: Clicking on the security-panel icon in the dashboard/switch tab brings you to the actual security panel
- Implemented: CM180i, now also displaying total usage
- Implemented: Counterlog, Week chart, legend values
- Implemented: Dashboard, clicking on Energy/P1 Smart Meter/Lux icons displays the log
- Implemented: Dashboard/Lights/Scenes now displays a webcam icon when used in a Camera Setup
- Implemented: Dim levels in steps of 5%
- Implemented: Hardware type list is now sorted
- Implemented: Limitless/AppLamp/WifiLedLamp (with Wifi Hub) hardware support
- Implemented: Livolo hardware supported (switches/dimmers)
- Implemented: New Version notification with version info, and option to review the latest changes
- Implemented: OpenZWave initial support (Aeon USB Stick V2), with Temp/Hum/Lux/Power/Energy/Switches
- Implemented: Option for each timer type to enable 'Randomness'
- Implemented: Option to enable/disable menu tabs per user
- Implemented: Option to manual add a ByronSX doorbell
- Implemented: Oregon EW109 Temp+Humidity sensor support
- Implemented: Rain, Short Log in graph
- Implemented: Razberry Smoke Alarm
- Implemented: Razberry, support for switch only devices (will be reported to controller NodeID)
- Implemented: Revolt Power meter hardware support
- Implemented: Rollertrol now displays a stop button
- Implemented: Room Plan editor, dashboard room selector
- Implemented: Room Plan editor, now possible to add Scenes/Groups
- Implemented: Room Selector now also vissible on mobile devices
- Implemented: Solar Radiation for Davis
- Implemented: Teleinfo UDF French power meter
- Implemented: Transfer Temp/Temp+Hum now possible between different subtypes
- Changed: Added leading zero's in the Power/Gas reports for the months (work around)
- Changed: ByronSX now uses the sound type as Unit ID
- Changed: Lua example scripts now in UTF8
- Changed: Lua scripts, now only works when file ends with .lua
- Changed: Rain values will now update in realtime (was every 5 minutes)
- Changed: Room Plan editor, now allows to assign devices to multiple rooms
- Fixed: Creating a virtual device when there where no devices in the system did not work
- Fixed: Editing (changing the name) of security devices
- Fixed: Enable/disable menus for remote admin users
- Fixed: Notifications (NMA) was not sent if the API key contained spaces
- Fixed: Possible problems when adding a manual switch (Invalid Switch ID message)
- Fixed: rain week log, some top legend values did not show on the chart
- Fixed: Random Timer interval in the setting page was not stored
- Fixed: Siren Switch type can now be switched on/off

Version 1.1087 (Oktober 16th 2013)
- Implemented/Fixed: HTML5, New Alert/Confirmation system to solve iOS issue
- Implemented: 1Wire Voltage support on Utility/Dashboard
- Implemented: Alecto WS1200 (Temp+Rain sensor)
- Implemented: Chime Byron SX
- Implemented: Dashboard, clicking on the Temperature/UV/Wind/Rain/Baro/Lux icons displays the log
- Implemented: Eventsystem, Comma now supported in event OpenURL
- Implemented: Eventsystem, Events now triggered by security state change implemented script_security_name.lua for sec panel triggers in lua.
- Implemented: Eventsystem, Utility Device support for Energy,Gas,AirQuality,RFXSensor(Volt/AD),RFXMeter
- Implemented: Leaf Wetness sensor
- Implemented: Local hostname now automatically included in Local Network setup
- Implemented: Logging RFXSensor AD/Volt
- Implemented: Login page (solves the caching problems)
- Implemented: Notification intervals extended
- Implemented: OpenZWave, support for Sensor_Binary Motion/Tamper/Door sensor (for example the Philio 3In1)
- Implemented: option in settings for basic-auth login type
- Implemented: Option to create virtual sensors for dummy hardware (hardware tab)
- Implemented: Option to Restart/Shutdown the system
- Implemented: Option to specify local networks with mask (192.168.0.0/24, 192.168.0.10/32)
- Implemented: Option to update to Stable or Beta versions
- Implemented: P1 Smart Meter electra, Report view
- Implemented: Raspberry Pi camera parameters
- Implemented: Report view for: P1 Smart Gas electra, CM119/160
- Implemented: RFXSensor Voltage, Log/Notifications
- Implemented: S0 Meter USB
- Implemented: Scenes/Groups device ordering
- Implemented: Security Panel status now in device list
- Implemented: Started with custom icons for On/Off switches
- Implemented: Swedish language support (thanks to the community!)
- Implemented: Temperature Average is now being logged, needed later for Degree Days
- Implemented: Temperature Dewpoint in custom graph
- Implemented: time safeguard (for systems without RTC)
- Implemented: Wake-up On Lan support
- Implemented: Web Update now also supported for armv7l systems (cubieboard2)
- Implemented: WU, extra protection for wind speed/gust
- Changed: Dashboard Smart meter display in mobile mode
- Changed: Dutch translation, and added extra TO field
- Changed: Dutch translation, now UTF8 based
- Changed: iPhone/iPad shortcut icon
- Changed: Logout button now placed under setup for users with admin rights
- Changed: New splash screens for iOS
- Changed: Now letting SQLite calculating the date/time for clearing up the short-log
- Changed: OpenZWave, Sensor_Binary now also uses the Index value (you might get new sensors, and old one can be removed)
- Changed: P1 Smart Meter Energy, removed Actual as it is displayed in Big
- Changed: P1 Smart Meter Gas, added Today value in Big
- Changed: Removed actual meter values for meters sensors in dashboard, only usage/return is displayed
- Changed: RFXCOM mode setup, RFU5 -> ByronSX
- Changed: Soil Moister sensor type moved as subtype of general sensors
- Fixed: 1Wire illegal temperature (exactly 85 degrees)
- Fixed: Baro meter temperature graph keep showing loading effect
- Fixed: buttons add sensor/switch buttons now hidden for 'viewer' users
- Fixed: Camera special video/image url characters
- Fixed: Chime (ByronSX) when turning on manualy inside domoticz
- Fixed: Cost reports where meter had no previous month
- Fixed: devicechanged values in lua incorrect for humidity and barometer
- Fixed: Eventsystem, ampersands in OpenUrl not stored in database
- Fixed: EventSystem, Calling internal URL from within blocky resulted in a unresponsive system (deadlock)
- Fixed: Eventsystem, problem where inactive event would still trigger when multiple events apply
- Fixed: Light/Dimmer status when switching groups
- Fixed: non admin user devices view (was only working correct for user with ID=1)
- Fixed: P1 Smart Meter Electra Utility refresh value for meters with return supply
- Fixed: P1 Smart Meter power, now reports 0, when timeout
- Fixed: Rain week chart (caused by new highcharts version)
- Fixed: Razberry Dimmer On/Off command
- Fixed: Security devices always showing as switchtype 0
- Fixed: Shortlog History days display when showing graph from dashboard
- Fixed: Typo's in SQLHelper.cpp

Version 1.940 (July 31th 2013)
- Implemented: Add manual switch support for Lighting1/Energenie
- Implemented: Application settings, mobile view (mobile, or as normal dashboard), iPhone will always be mobile theme
- Implemented: device name in scripts calls (6th parameter)
- Implemented: Dew Point calculation for sensors with Temperature + Humidity
- Implemented: Dew Point logging (not visible yet!)
- Implemented: Dew Point notifications
- Implemented: Dummy hardware device, that does nothing, but can be used for virtual switches
- Implemented: Graph tooltips day of week translation
- Implemented: Initial Support for Weather Underground sensors
- Implemented: JSon, updating device based on idx (json.htm?type=command&param=udevice&idx=123&nvalue=1&svalue=2)
- Implemented: Lighting2, when a Group On/Off is received, all switched with the same ID will be set to 'On' or 'Off' (internally)
- Implemented: Moisture Sensor (for example from Davis)
- Implemented: New Scene/Group functionality
- Implemented: Raspberry Pi camera
- Implemented: Razberry (Z-Wave), thermostat/light/temp/hum battery status
- Implemented: Scenes, Dimmer Level
- Implemented: Scenes, now have an On/Off button
- Implemented: Security Panel
- Implemented: Solar Radiation Sensor (for example from Weather Underground)
- Implemented: Spanish language support (thanks to the community!)
- Implemented: Temperature tab, translated speed,gust and chill
- Implemented: Visibility Sensor (for example from Weather Underground)
- Implemented: Wind Speed Unit option (m/s, km/h, mph, knots)
- Implemented: Z-Wave, thermostat SetPoint
- Changed: Dim Slider for mobile items now smaller
- Changed: Last xx hours/days graph, Only Gas/Electricity sensors with same previous value will be ignored
- Changed: Weather Underground updates now every 10 minutes
- Changed: Weather Underground updates now every 15 minutes
- Fixed: 'No Update Available !' translation
- Fixed: Drag/Drop of devices
- Fixed: Notification for internal combined temp/hum sensors (La Crosse TX3)
- Fixed: possible curl bug when DNS timeouts
- Fixed: Scenes table now includes pagination at the bottom
- Fixed: Set RFXCOM mode, Visonic was not working
- Fixed: Temperature graphs legend translation
- Fixed: Temperature graphs tooltip unit
- Fixed: Users with old event table could have a crash when starting domoticz
- Fixed: Wind Speed/Gust should now be translated
- Fixed: WU rain sensor (will have a new sensor type, old one needs to be removed)
- Fixed: YouLess day measurement
- Fixed: YouLess meter structure
- Fixed: Z-Wave, Wattage scale factor was not initialized
- Removed: Device Type on Temperature/Weather tab

Version 1.762 (July 1th 2013)
- Changed: Motion Sensors, Off delay now sends 'Off' to Lighting 1/6 devices, and 'No Motion' to X10 motion sensors
- Changed: Only RAEX blinds will not show a 'stop' button
- Changed: Wind Station LaCrosse WS2300 will again display 'gust'
- Changed: Wind Station LaCrosse WS2300 will not display 'gust' any more
- Changed: WindType5 (WS2300) will not display speed in widgets
- Fixed: Ampersand in name could cause domoticz to go in endless loop
- Fixed: Camera Snapshot emailing
- Fixed: CM119/160/180 Energy daily values (for readers with a very high counter)
- Fixed: CM119/160/180 Energy Usage values
- Fixed: Hardware Setup, Mode button for RFXCom back again
- Fixed: Hardware Setup, the selected existing hardware could not match with the hardware type dropdown
- Fixed: Notification translations
- Fixed: Possible read error for YouLess devices (extra space in front of total power)
- Fixed: Setup dropdown, users/notifications selection highlight
- Fixed: Sharing of Voltcraft,Razberry,BMP085
- Fixed: Some RFXCOM protocols could not be set in the hardware setup (Meiantech,Visonic,FS20,RSL)
- Implemented: Blinds Stop button
- Implemented: BMP085 altitude display
- Implemented: BMP085 I2C sensor (Rasberry Pi/arm only)
- Implemented: BMP085 Possible forecast, still need exact method
- Implemented: Dimmer devices keep there dim value when not setting the level (on/off)
- Implemented: French language support (thanks to the community!)
- Implemented: German language support (thanks to the community!)
- Implemented: Global hardware sharing system (application settings, user manager)
- Implemented: Initial language translation
- Implemented: Italian language support (thanks to the community!)
- Implemented: Latest RFXCOM SDK (#67)
- Implemented: Lighting2, when a Group Off is received, all switched with the same ID will be set to 'Off' (internally)
- Implemented: Lux Meter Type (Currently used by Z-Wave hardware)
- Implemented: Now possible to switch remote hardware
- Implemented: On/Off switches, Off Delay option
- Implemented: Scenes can now be re-ordered (dashboard/scenes tab)
- Implemented: Shared clients can now control switches
- Implemented: User now sees only allowed devices
- Implemented: X10 Security Arm/Disarm from dashboard/switches tab
- Implemented: X10 Security Remote Arm Home/Arm Away prompt
- Implemented: X10 Security Remote, When status is 'Panic' the alarm can now be disarmed
- Implemented: Z-Wave Temp/Humidity sensor
- Removed: Altitude from BMP085 sensor

Version 1.666 (May 28th 2013)
- Implemented: 1-Wire aux sub-folders
- Implemented: 1-Wire Humidity sensors
- Implemented: 1-Wire OWFS sensor support, see Wiki pages
- Implemented: 1-Wire sensor support (temperature at the moment, w1-gpio, w1-therm) see Wiki pages
- Implemented: 1-Wire startup delay
- Implemented: Application Settings, Notification Interval for Sensors/Switches
- Implemented: Blinds now always have open/close buttons
- Implemented: Clicking on the version number now displays the history file
- Implemented: Devices Overview, added device Idx
- Implemented: Enabled Timer support for Push On/Off light/switch devices
- Implemented: Option to backup database (Setup -> Application Settings left menu)
- Implemented: Option to enable/disable menus from application settings
- Implemented: Option to request list of all timers via JSON (gettimerlist)
- Implemented: Option to send Notifications (Setup -> More options)
- Implemented: Settings Email, option to send camera snapshots as attachment
- Implemented: Settings, Doorbell could be send as 'Group On' or 'On' command
- Implemented: Settings, Option to specify P1 Smart Meter Type (with/without Decimals)
- Implemented: support for 1-Wire with hubs
- Implemented: User Editor
- Changed: 1-Wire OWFS, ignoring ID=0 when temp is also 0
- Changed: command line parameter -logfile is not -log (do not enable logging, only if needed, use the application log viewer)
- Changed: Door bells do not display a status message anymore
- Changed: generic little endian detection algorithm
- Changed: meta viewport, removed device-width option
- Changed: Reorganized main menu
- Changed: Web users not loaded when no Application Settings admin account is specified
- Fixed: Data for the last selected day in the custom short term graph was not shown
- Fixed: Light Log graph, "Group Off" now seen as Off
- Fixed: Light/Switch type 'Door Lock' on Lights tab showed initially a wrong icon for the 'Open' state
- Fixed: notification.png now included in SVN (caused browser cache problems)
- Fixed: Power Usage Graph, Problem with other devices then P1 Smart Meter
- Fixed: Settings Email, now possible to send a test email without username/password
- Fixed: Switched tab, initial Push-On icon was set to off
- Fixed: Voltcraft C020 value reading corrected for little endian systems
- Fixed: Windows installer now includes scripts folder

Version 1.607 (May 11th 2013)
- Implemented: 5th parameter for light/switch script (full status descriptor)
- Implemented: Date/Time/SunSet/SunRise on every page (except mobile browsers will have only SunSet/SunRise)
- Implemented: Device type Blinds (Safy / RollerTrol / Hasta / A-OK RF01,AC114 / RAEX /  Media Mount)
- Implemented: Email connection timeout (10 seconds)
- Implemented: Email Notifications
- Implemented: Email notifications now send in background
- Implemented: Email now via Curl library
- Implemented: Email setup test button
- Implemented: Experimental Light Log graph
- Implemented: IP-Camera setup, and option to send email for light/switch/scene (email setup via application settings)
- Implemented: Latest RFXCOM SDK (#66)
- Implemented: Light/Switch notification On/Off type
- Implemented: Light/Switch type "Door Lock"
- Implemented: Option to enable/disable sending Emails in Notification Alerts
- Implemented: P1 Smart meter Power, logging of day/night tariff separately (!note: next day value will be low)
- Implemented: Push On switch type On/Off icon
- Implemented: Raspberry Pi, is ttyAMA0 is free (GPIO/cmdline.txt) it can be used
- Implemented: Razberry (Z-Wave) switch support
- Implemented: Razberry (Z-Wave) usage meter sensor
- Implemented: Support for multiple Email recipients
- Implemented: Temp+Baro sensor, subType BMP085 I2C
- Implemented: Volcraft CO-20 Air Quality hardware device (Unix only!)
- Implemented: Website security, forbidden result after to many attempts
- Implemented: when a light/switch is pressed an optional script can be started (see scripts/readme.txt)
- Changed: Email setup now includes Port number
- Changed: ignoring illegal Raspberry temperature (85/-273)
- Changed: LightwaveRF inline relay, "Open inline relay" now seen as "On"
- Changed: Normal script calls should now use the 'params' option for parameters
- Changed: Notification text 'Greater then' changed to 'Greater Than'
- Changed: P1 Smart meter Power, Day/Week graph now displays both meters (day/night)
- Changed: P1 Smart meter Power, graph color swap between tariff 1/2
- Changed: P1 Smart meter Power, now displaying real usage in short log graph, instead of peak values
- Changed: Rego6XX Type setting moved to the hardware settings in the same way as RFXtrx setup is done
- Fixed: background scripts now outside of mutex (could cause a lock)
- Fixed: Email now being send with UTF-8 encoding
- Fixed: Possible timer problem duo sunset/sunrise reloading issues
- Fixed: Push On delayed Off was deleted from queue, and was being send
- Fixed: PushOn button Off delay time now handles values above 255
- Fixed: RFXtrx USB mode option in hardware settings, will now return to dashboard
- Fixed: Scene 'Learn' code option can now be used with already known switches
- Fixed: Scenes with a Push On type switch will now only send the On command to this switch
- Fixed: Switch Lights Off (Dimmer) now does not update slider position
- Fixed: TE923 (Weather stations) hardware can now be shared
- Fixed: webgui update auto restart (caused by script changes)
- Removed: patch for 'Better day value calculation' for multimeter devices (Like P1 Smart Meter electra), not needed

Version 1.484 (April 28th 2013)
- Implemented/Fixed: web update now not available for ArchLinux raspberry pi
- Implemented: Add support for Lighting6 (Blyss)
- Implemented: Added support for short term data in the custom temperature graph
- Implemented: Browser cache is not automatically refresh (with a standby notification)
- Implemented: Multi language support for sensors/switch names
- Implemented: New wind rose icons
- Implemented: Notifications for new updates are now send once in every 12 hours, unless checked by hand
- Implemented: Option to delete data point from sensor by Shift-Left click on month/year graph point
- Implemented: Option to display update check
- Implemented: Push On Button switch type (sends an OFF command)
- Implemented: Push On Button switch type (sends an ON command, with option to specify Off delay)
- Implemented: Raspberry Pi onboard temperature sensor
- Implemented: Raspberry Pi, updating via the web browser (Settings Tab)
- Implemented: Support for the heat pump controller Rego600-Rego637 (Rego6XX)
- Implemented: Utility sensors now display their usage value in large font
- Implemented: Version number now read with json call
- Implemented: Web Gui, sticky Notification (now only used when there is an update for the Raspberry Pi)
- Changed: Application Settings
- Changed: Better day value calculation for meter devices
- Changed: Negative wind direction to positive
- Changed: Temperatures can now be max. 260 degrees
- Fixed: Adding Light/Switch as Sub-Device from Devices tab
- Fixed: Dashboard showed all light devices instead of only favorite ones
- Fixed: Meter value dupplication checked now performed for actual day
- Fixed: NMA notifications working again
- Fixed: Push On delayed Off was not working
- Fixed: Rain (PCR800) rate/hour corrected
- Fixed: ResetSecurityStatus json return status
- Fixed: RFXtrx USB mode option in hardware settings
- Fixed: Sensor Timeout status update in web interface
- Fixed: Visual Studio svn template was not added to SVN
- Updated: HighCharts Library

Version 1.412 (April 1th 2013)
- Implemented: Ability to change page / bookmark page using # on url
- Implemented: Added SVN revision number to version string
- Implemented: Adjustment value for barometer sensors
- Implemented: Adjustment value for temperature sensors
- Implemented: Chart tooltip now includes weekday
- Implemented: Checking for invalid sensor values
- Implemented: Combined LaCrosse TX3 Temp + Humidity sensor as one new device
- Implemented: command line option '-logfile'
- Implemented: Displaying of RFXCOM Firmware
- Implemented: Log now includes sensor name (if known)
- Implemented: Log Window
- Implemented: Minimized log traffic from server to client
- Implemented: Mobile desktop, shortcuts for actual tab page
- Implemented: Motion Sensor Off Delay
- Implemented: multiply value for rain sensors
- Implemented: New layout, dropdown menu, hardware moved to setting dropdown
- Implemented: New Log mechanism (needed later for log viewer)
- Implemented: Option to set RFXCOM Mode (enable/disable protocols)
- Implemented: Scenes
- Implemented: Scenes can now be added to the dashboard
- Implemented: Sensors that are not received within xx minutes are highlighted
- Implemented: Sensors that are not received within xx minutes are not logged any more (one hour now, will be in the settings)
- Implemented: SQLite faster journal/update mode on non-windows systems
- Implemented: Started working on support for the CM180i
- Implemented: TE932Tool (USB 433Mhz Weather Station, Hideki weather station like IROX Pro X, Mebus TE923 or TFA Nexus)
- Implemented: Temperature (large) icons now represents global temperature index
- Implemented: Temperature/Weather sensors now display their main value in large font
- Implemented: Unix update script
- Implemented: Weather Station barometer now more precise (xxxx.x hPa), and displaying device forecast
- Implemented: Wind Direction Icons
- Implemented: Wind meter direction is now averaged ( ~10 minutes )
- Implemented: Windows, if user has NO admin rights, the Domoticz database will be created in %ProgramData%\Domoticz folder
- Implemented: Windows, no longer need admin rights
- Changed: Drag/Dropping sensors now inserts instead of swapping items
- Changed: Error log now contains date/time
- Changed: Excluded TE293 for windows systems
- Fixed: After/Before Sunset/Sunrise when starting the application (could be triggered next day)
- Fixed: Barometer did not show on the dashboard under weather
- Fixed: Deleting a device now also deleted the schedules
- Fixed: Dim slider using now values 1 till ... , 1=Off
- Fixed: Domoticz startup script, restart, time between stop en start set at 4 seconds
- Fixed: KD101 smoke detector battery indication (has none)
- Fixed: Light/Switch notification could not be unset
- Fixed: Loading schedules only for used devices, deleting otherwise
- Fixed: Only TFA UV sensor will now report a temperature
- Fixed: Option to enlarge the short-log (5 minutes)
- Fixed: P1 Smart Meter (Gas) now has a timeout of 3 hours
- Fixed: Siren icon on dashboard
- Fixed: Stopping of Domoticz with Domoticz share could take 30 seconds, should be 1 not
- Fixed: Temperature month/year graph
- Fixed: Temperature/Humidity display on dashboard
- Fixed: Weather Station can now handle 6 temperature channels
- Fixed: Weather Station Negative temperature
- Fixed: Weather Station Rain meter

Version 1.0.9 (February 17th 2013)
- Implemented: 'Delay Off' for Motion detectors
- Implemented: Dimmer change now directly updates the user interface status
- Implemented: dimmer timer support
- Implemented: Latest RFXCOM SDK
- Implemented: Motion Detector
- Implemented: Option to enlarge the short-log (5 minutes) till 7 days
- Implemented: OWL 160/180/190 logging/graphs
- Implemented: OWL113 option to display in Ampere/Usage
- Implemented: P1 smart meter will update once a minute, or when usage difference is greater than 40 Watt
- Implemented: P1 Smart meter, Gas value now send when changed, or every 5 minutes
- Implemented: Serial port auto reconnect option
- Implemented: Smoke Detector Off image
- Implemented: temp_hum Rubicson/IW008T/TX95
- Changed: Manual Add light switch types are now complete
- Fixed: 'Dimmer' on the dashboard on mobile devices
- Fixed: Day display for Month/Year utility graph
- Fixed: Dimmer slider (had a hardcoded device index)
- Fixed: Edit Lights/Switches Smoke Detector type
- Fixed: HTML checkbox 'ischecked' property duo upgrade to new JQuery
- Fixed: Initial dim slider position on dashboard
- Fixed: LightwaveRF dimmer value notation
- Fixed: Mobile dashboard slider image redraw issue
- Fixed: Mobile desktop, blind open icon
- Fixed: Not displaying the 'timer' option for certain devices
- Fixed: Notification Enable/Disable checkbox
- Fixed: Now able to clear light log for security1 devices
- Fixed: Possible issue when disabling/enabling/removing hardware

Version 1.0.8 (February 3th 2013)
- Changed: HTML cleanup (Updated to newer libraries as well)
- Changed: Setting a switch level is now done by setting the level to 0=Off, 1..xx for the level
- Changed: When setting switch level = 0, the switch is turned Off now
- Fixed: Hardware Enabled/Disabled option
- Fixed: Light/Switches timer, time dropdown combobox
- Implemented: Alternative webpage username/password reset (resetpwd file)
- Implemented: Inverted blinds switch type
- Implemented: New (Windows) command line argument (-nobrowser) do not start web browser
- Implemented: OWL113 Ampere Notifications
- Implemented: OWL113 current logging/chart
- Implemented: P1 Energy Meter, today notification
- Implemented: P1 Energy Meter/P1 Gas Meter/YouLess, usage notification
- Implemented: P1 Gas Meter/YouLess/RFXMeter, today notification
- Implemented: Switchtype 'Dimmer'
- Removed: SQLite MFC runtime dependency

Version 1.0.7 (January 18th 2013)
- Implemented: Added jwsmtp class
- Implemented: Clicking Top Left (Domoticz) will show dashboard
- Implemented: Dashboard now includes server date
- Implemented: Error message when serial port gets disconnected
- Implemented: Hardware can now be Enabled/Disabled
- Implemented: Lights/Switches, Contact Open/Closed icon
- Implemented: Option to transfer old device logs/settings to a new device (for example when the device battery is replaced and received a new ID)
- Implemented: Support for MAC serial ports
- Implemented: Temperature Custom Graph
- Implemented: utility graph 'last 24 hours usage'
- Implemented: Youless Pulse Counter Meter hardware
- Changed: Barometer graph values now displays as whole number
- Changed: Dashboard: P1 Smart Meter Energy does not show the retour values if not used
- Changed: Devices Tab: Check if any device is selected to delete
- Changed: Lights/Switches, Contact status now displays as Open/Closed instead of On/Off
- Changed: Meter values now only inserted in meter table when there is a difference in value
- Changed: replaced all localtime function with localtime_r
- Changed: Schedule item started message will now also report the timer type
- Changed: updated to RFCOM SDK version 6.01

Version 1.0.6 (January 9th 2013)
- Implemented: Option to add a manual LightwaveRF switch
- Implemented: P1 Smart Meter Serial hardware
- Implemented: P1 Smart Meter TCP hardware
- Implemented: Random Timer (On Time timer with +/- xxx minutes offset)
- Implemented: RFXCOM Lan will now keep retrying to connect when it does not succeed on the first time
- Implemented: Web Protection, option to ignore (local) networks
- Changed: Chime light/switch status will now also trigger a notification
- Changed: P1 Smart Meter updates its information to shared clients now once every 60 seconds (reduces network traffic)
- Changed: P1 Smart Meter, Gas value now only send/update when the value is changing (once every 1 a 2 hours)
- Fixed: Lighting 1, ARC Doorbell is now send with a 'Chime' instead of All On
- Fixed: Temp, Hum, TempHumBaro ID

Version 1.0.5 (December 29th 2012)
- Start of History document
